Subject: Re: [PATCH 2/8] update-index: use enum for untracked cache options

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Dec 2015 09:44:45 -0800

Christian Couder <[email-masked]> writes:

>> As you know I am bad at bikeshedding; the only suggestion in the
>> above is to have common UC_ prefix ;-)  Don't take what follow UC_
>> as my suggestion.
>
> I am bad at finding names too, so I think what you wrote is pretty good.
>
> I thought about the following:
>
>      UC_UNDEF
>      UC_DISABLE
>      UC_ENABLE
>      UC_TEST
>      UC_FORCE
>
> but I am not sure it is much better.

I hated the DONTUSE/USE I listed, and I think DISABLE/ENABLE is much
much better.  I do prefer unspecified over undef, though.

Thanks.